Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
ReportGroupRequest
| Property | Description | Type |
|---|---|---|
| reportGroupCode | string | |
| reportGroupInfo | string | |
| reportIds | integer[] |
Example Request Body
{ "reportGroupCode": "string", "reportGroupInfo": "string", "reportIds": [
1
]
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
ReportGroupResponse
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| reportGroupCode | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| reportGroupId | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| reportGroupInfo | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| reports | ReportChild[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ReportChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "reportGroupCode": "string", "reportGroupId": 1, "reportGroupInfo": "string", "reports": [
{ "description": "string", "exportFormats": [
{ "exportFormatInfo": "string", "preferred": false
}
], "isLandscape": false, "lastUpdated": "2026-03-30", "reportCode": "string", "reportId": 1, "reportInfo": "string", "reportSource": "string", "reportType": { "reportTypeCode": "string", "reportTypeId": 1, "reportTypeInfo": "string"
}, "tags": [
{ "tagTypeId": 1, "tagTypeInfo": "string", "values": []
}
], "version": "string"
}
]
}